> ## Documentation Index > Fetch the complete documentation index at: https://docs.restaurant365.com/llms.txt > Use this file to discover all available pages before exploring further. # /public/accounting/v1/gl-account-balance/{date} > Retrieves GL account balances for a specified date ## OpenAPI ````json GET /public/accounting/v1/gl-account-balance/{date} { "openapi": "3.0.1", "info": { "title": "R365.PublicApi", "contact": { "name": "R365 Services Team", "email": "r365@restaurant365.com" }, "version": "1.0" }, "security": [ { "Bearer": [] } ], "paths": { "/public/accounting/v1/gl-account-balance/{date}": { "get": { "tags": [ "netcore" ], "description": "Retrieves GL account balances for a specified date", "parameters": [ { "name": "date", "in": "path", "description": "As of date", "required": true, "schema": { "type": "string($date)" } }, { "name": "locationNumbers", "in": "query", "description": "Location numbers to filter by", "schema": { "type": "string" } }, { "name": "locationNames", "in": "query", "description": "Location names to filter by", "schema": { "type": "string" } }, { "name": "legalEntityNumbers", "in": "query", "description": "Legal entity numbers to filter by", "schema": { "type": "string" } }, { "name": "accountNumbers", "in": "query", "description": "Account numbers to filter by", "schema": { "type": "string" } }, { "name": "glAccountNumbers", "in": "query", "description": "", "schema": { "type": "string" } }, { "name": "glAccountNames", "in": "query", "description": "", "schema": { "type": "string" } }, { "name": "glTypeNames", "in": "query", "description": "", "schema": { "type": "string" } }, { "name": "pageSize", "in": "query", "description": "", "schema": { "type": "integer", "format": "int32" } }, { "name": "continuationToken", "in": "query", "description": "", "schema": { "type": "string" } } ], "responses": { "200": { "description": "GL account balances", "content": { "text/plain": { "schema": { "$ref": "#/components/schemas/R365.Accounting.Public.Contracts.GLAccounts.Models.GlAccountBalancesPublicDto" } }, "application/json": { "schema": { "$ref": "#/components/schemas/R365.Accounting.Public.Contracts.GLAccounts.Models.GlAccountBalancesPublicDto" } }, "text/json": { "schema": { "$ref": "#/components/schemas/R365.Accounting.Public.Contracts.GLAccounts.Models.GlAccountBalancesPublicDto" } } } } } } } }, "components": { "schemas": { "R365.Accounting.Public.Contracts.GLAccounts.Models.GlAccountBalancesPublicDto": { "type": "object", "properties": { "date": { "type": "string", "format": "date" }, "count": { "type": "integer", "format": "int64" }, "locations": { "type": "array", "nullable": true }, "additionalProperties": null } } }, "securitySchemes": { "Bearer": { "type": "http", "description": "Put **_ONLY_** your JWT Bearer token on textbox below!", "scheme": "Bearer", "bearerFormat": "JWT" } } } } ````